Hook integration scripts v.141 now available — Updated Obsidian support

Version 141 of Hook integration’s scripts is now available with updated support for the Obsidian note-taking app, to work with v. 0.10.0 Obsidian insider build. This retains compatibility with Obsidian v. 0.9* .

Thanks to @jeffk8900 for letting us know about the Insider build change.

Technical details: the obsidian.json file, from which Hook gets the last opened vault path changed slightly.

This is an update to Hook integration scripts v. 139 now available — Initial support for Obsidian! - Releases - Hook Productivity Forum.

See Using Hook with Obsidian – Hook

How to get the updated integration

Hook’s automatic software update (if enabled) automatically updates Hook’s integration scripts without you needing to relaunch Hook. Using Hook’s Check for App Updates and Update Scripts command also updates the scripts, without you needing to relaunch Hook.

We also bundle Hook’s integration scripts with the Hook installer itself, of course. But Hook’s app updates are less frequent than the pure integration updates. We will soon release a version of Hook that includes bug fixes and the latest integrations (Apple Notes and Obsidian).

Twitter

Obsidian integration also announced on Twitter . Please feel free to share.

Version number

2020-12-17 23:41
A prior update referred to this update as v. 142. It’s v 141. (v 142 is an internal non-public version coming soon :slight_smile: )

One the Obsidian Forum you refer to “v142” of the scripts.

But no matter how many ways I try to update the Hooks scripts including “check fo app updates…”, I can’t get above version 141, and Hook is currently not working on Obsidian 0.10.1.
Screen Shot 2020-12-18 at 07.13.25

I’ve fixed that and above to be 141. (Most of the web pages are proof read, but I’m afraid most of what I write on the forum is not proof read internally; so I appreciate your diligence).

Please make sure you’ve downloaded the latest Hook: https://hookproductivity.com/download – it or one before fixed a script update problem. Also, it requires a valid Hook updates license. If those aren’t the problems, please let us know.